Last Comment Bug 742674 - Instant messenger status window dimensions (width and height) too small, text gets cropped
: Instant messenger status window dimensions (width and height) too small, text...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Thunderbird 15.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks: 740280
  Show dependency treegraph
 
Reported: 2012-04-05 03:42 PDT by Sebastian Hengst [:aryx][:archaeopteryx]
Modified: 2012-05-09 07:31 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (2.05 KB, patch)
2012-05-07 07:09 PDT, Florian Quèze [:florian] [:flo]
standard8: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
Screenshot of the new default size with attachment 621583 applied (76.65 KB, image/png)
2012-05-07 07:12 PDT, Florian Quèze [:florian] [:flo]
no flags Details

Description Sebastian Hengst [:aryx][:archaeopteryx] 2012-04-05 03:42:13 PDT
Thunderbird daily 2012-04-04, Windows XP SP 3 32-bit

The dimensions (width & height) of the instant messenger status window are too small. Directly after creating an IRC connection and joining it, "Connected for about 1 minute" will get cropped to "Connected for about 1 minute"
Comment 1 Florian Quèze [:florian] [:flo] 2012-05-07 07:09:43 PDT
Created attachment 621583 [details] [diff] [review]
Patch

During the review of the main IM-in-Tb patch, I was asked to convert the default size of that window from a value in px to a value in em (bug 714733 comment 87), and it seems I messed up the conversion between these units (it seems that by default 1em is about 11px).
Comment 2 Florian Quèze [:florian] [:flo] 2012-05-07 07:12:18 PDT
Created attachment 621584 [details]
Screenshot of the new default size with attachment 621583 [details] [diff] [review] applied

Adding a screenshot to help with the ui-review.

The dimensions of that dialog are persisted, so testing the default values requires either using a new profile, or nuking the localstore.rdf from the test profile.
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-05-08 10:40:40 PDT
Comment on attachment 621583 [details] [diff] [review]
Patch

Yeah, this looks a lot better.  ui-r=me!

Thanks,
Blake.
Comment 4 Mark Banner (:standard8) 2012-05-09 03:43:45 PDT
Comment on attachment 621583 [details] [diff] [review]
Patch

Not totally sure we need the id change in theory, but lets do it anyway to make sure locales are fully aware.
Comment 5 Florian Quèze [:florian] [:flo] 2012-05-09 07:31:15 PDT
https://hg.mozilla.org/comm-central/rev/3a60b7910733

Note You need to log in before you can comment on or make changes to this bug.